#!/usr/bin/env -S v

import freeflowuniverse.crystallib.osal.zola

fn main() {
	mut site := zola.new_site(
		name: 'flowers4peace'
		url: 'http://localhost:8089'
		path_content: '${dir(@FILE)}/content'
		path_build: '${dir(@FILE)}/build'
		path_publish: '${dir(@FILE)}/public'
	)!

	site.prepare()!
	site.generate()!
	site.serve(
		port: 8089
		open: true
	)!
}